SISIDE(4) | Device Drivers Manual | SISIDE(4)

# NAME

`siside` — Silicon Integrated System IDE disk controllers driver

# SYNOPSIS

`siside* at pci? dev ? function ? flags 0x0000`

# DESCRIPTION

The `siside` driver supports the Silicon Integrated System IDE controllers, and provides the interface with the hardware for the ata(4) driver.

The 0x0002 flag forces the `siside` driver to disable DMA on chipsets for which DMA would normally be enabled. This can be used as a debugging aid, or to work around problems where the IDE controller is wired up to the system incorrectly.

# SEE ALSO

ata(4), atapi(4), intro(4), pci(4), pciide(4), wd(4), wdc(4)

# BUGS

The timings used for the PIO and DMA modes for controllers listed above are for a PCI bus running at 30 or 33 MHz. This driver may not work properly on overclocked systems.

October 8, 2003 | NetBSD 11.99